Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#1 Le 13/11/2007, à 19:25

berzerking

Cod 4

Salut a tous, j'ai vu dernierement que pas mal de gens avait fait tourner la demo de Call of duty 4 grace à wine ... maintenant la question que je pause c'est ... y a t il des gens qui on fait tourner la version intégral ... ?

Voila ... pour ma part l'install démarre mais bloc a configuration durant la premiere partie de l'instll shield mais aucun message d erreur dans la console.


Je suis sous gutsy et je trourne avec wine 0.9.49 // essaye aussi avec 0.9.48
:PA vous


Association Toulonux || http://www.tuxme.net
It's a long way to the top of the kernel compilation

Hors ligne

#2 Le 25/11/2007, à 01:32

Blackestmajor

Re : Cod 4

Bonjour,

sur appdb.winehq on constate que majoritairement la version complète tourne mieux que la version demo: http://appdb.winehq.org/objectManager.php?sClass=version&iId=9699

Pour ma part j'ai essayé d'installer la version demo, elle s'installe nickel mais au lancement le jeu  (et pas wine) me renvoie une erreur comme quoi ma CG ne dispose pas de la fonction de "separate alpha blend". Beaucoup de joueurs, y compris sous Windows, ont ce problème lié à  l'utilisation d'une carte graphique trop ancienne. Là  o๠le bas blesse, c'est que la carte minimale recommandée pour lancer le jeu est une série 6600 Nvidia, ce que je possède... hmm

Après je ne compte pas acheter le jeu rien que pour essayer avec la version officielle wink Si ça ne marche pas j'aurais l'air fin d'avoir claqué 50 euros, et j'aimerais bien tester la demo avant d'acheter le jeu smile Ca se mord la queue wink

Hors ligne

#3 Le 01/12/2007, à 17:19

Id2ndR

Re : Cod 4

Je vais tenter de le faire marcher.

Si ça fonctionne, j'essayerai de faire un script PlayOnLinux

Hors ligne

#4 Le 01/12/2007, à 23:15

Id2ndR

Re : Cod 4

J'ai réussi à  faire fonctionner la version MP. Je n'ai pas essayé la SP.
Ca reste relativement lent par contre à  l'exécution.

J'essaye de faire un script POL correct.

Hors ligne

#5 Le 02/12/2007, à 01:32

bandoine

Re : Cod 4

moi j'ai une nvidia Geforce 6600 et cod 4 tourne nikel sour windows et sous linux  tongue j'ai eu auccun probleme a l'install.

#6 Le 02/12/2007, à 02:34

Id2ndR

Re : Cod 4

bandoine, comment as-tu installé CoD4 ?

Pour ma part, j'ai eu besoin de récupérer une version patchée qui "corrige" ce bug.

J'ai fais un script PlayOnLinux pour ce jeu.
- A télécharger ici.
- Ensuite, lancer POL puis dans le menu expert, choisir Exécuter un script non-officiel.
- Choisir l'endroit ou se trouve script puis faire l'installation.


Rapporter ici tout problème ou commentaire. Merci smile

Hors ligne

#7 Le 02/12/2007, à 08:55

Blackestmajor

Re : Cod 4

Ton script marche pour la version officielle ou la version demo (ou les 2) ?
Merci de ton implication smile

Hors ligne

#8 Le 02/12/2007, à 15:07

Id2ndR

Re : Cod 4

Il marche pour la version complète. Je n'ai pas essayé la démo.

Hors ligne

#9 Le 02/12/2007, à 20:13

Blackestmajor

Re : Cod 4

Non il ne marche pas pour la démo, il recherche un cd rom pour l'installation wink

Hors ligne

#10 Le 02/12/2007, à 21:02

Id2ndR

Re : Cod 4

Euh oui ça je sais bien : c'est mon script wink.
Ce que je voulais dire, c'est que je n'ai pas jamais testé la démo (sans parler de script).

Hors ligne

#11 Le 02/12/2007, à 21:18

Blackestmajor

Re : Cod 4

Ah ok smile
Y'a un "manuel du bon petit scripteur" pour PlayOnLinux ? wink

Hors ligne

#12 Le 02/12/2007, à 22:50

neomars

Re : Cod 4

J'ai ce message quand je lance COD4

----- Initializing Renderer ----
----- Client Initialization Complete -----
Attempting 44 kHz 16 bit [Windows default] sound
----- R_Init -----
Getting Direct3D 9 interface...
Pixel shader version is 1.4
Vertex shader version is 1.1
Video card or driver doesn't accelerate dynamic textures.
Video card or driver doesn't support separate alpha blend, glow will be disabled.


Error during initialization:
Video card or driver doesn't support separate alpha blend, glow will be disabled.

O๠puis-je configurer l'alpha blend ?

Mon PC est un core 2 quad (4*2.4 Mhz) avec une Nvidia 8800 GTS. Donc je peux théoriquement gérer l'alpha blend.

Hors ligne

#13 Le 03/12/2007, à 01:35

Id2ndR

Re : Cod 4

L'erreur de l'alpha blend est un bug connu (cf post #6).
Tu ne peux pas le configurer. Il faut patcher wine pour qu'il fasse croire que l'alpha blend est géré. En faite il ne sait pas le gérer pour le moment, mais ça permet de lancer le jeu.

Pour te simplifier la vie, tu peux utiliser le script POL que je propose (post #6 toujours), qui va te proposer au début de récupérer une version patchée de wine. Cette version n'interfèrera pas avec ton wine existant.

Si tu as une architecture :
- 32bits, laisse le premier choix quand le script te demande de choisir une version de wine.
- 64bits, alors le script va compiler wine après l'avoir patché. Vérifie que tu as les paquets nécessaires, listés dans la section pre-requis.

Hors ligne

#14 Le 04/12/2007, à 20:56

Id2ndR

Re : Cod 4

Les performances sont correctes sur une 6600GT, après avoir diminuer les options graphiques. En effet, le jeu ne reconnait pas la carte à cause de wine et va mettre les options au maximum, probablement parce qu'il considère que c'est une carte plus récente que le jeu.
Il faut donc diminuer les effets graphiques dans les options.

Hors ligne

#15 Le 04/12/2007, à 21:21

dubcubeg

Re : Cod 4

Le jeu est jouable? Les fps sont-ils corrects?
Ca m'intéresse wink

Dernière modification par dubcubeg (Le 04/12/2007, à 21:21)

Hors ligne

#16 Le 04/12/2007, à 21:23

Id2ndR

Re : Cod 4

Oui. enfin je n'ai testé que le mode multijoueur.
Ben il ne te reste plus qu'à  essayer alors !

Hors ligne

#17 Le 05/12/2007, à 12:55

Maz99

Re : Cod 4

Bonjour! Concernant justement COD4 , j'ai un ami qui possède une carte compatible directx8 et qui ne peut tout simplement pas le lancer sous win@!@@

Serait il possible de le lancer sous Wine en passant ce repérage de compatibilité ?(soi-disant problème, marketing oblige)

Pour au moins savoir le lancer ensuite advienne que pourra wink

Dernière modification par Maz99 (Le 05/12/2007, à 12:57)

Hors ligne

#18 Le 05/12/2007, à 13:16

Id2ndR

Re : Cod 4

Nab!!daN, POL + Patch ça veut dire l'option "wine_patchée_PlayOnLinux" de mon script ?

Quand tu lances le jeu, est-ce que tu passes par POL ? Il ne faut pas utiliser les raccourcis créés par l'installeur du jeu, mais ceux créés après par le script POL.

Donnes moi le résultat des commandes :

$ cat ~/.PlayOnLinux/configurations/installed/Call*
$ ls -lh ~/.PlayOnLinux/WineVersions/

Hors ligne

#19 Le 05/12/2007, à 13:19

Id2ndR

Re : Cod 4

Maz99. Tu peux essayer. Ca peut marcher, ça dépendra de la façon dont wine, ou plutôt le pilote video, gère les appels vers des fonctions graphiques que ne sait pas traiter la carte graphique.
Par contre si ça marche, ça risque d'être vraiment très lent.

Hors ligne

#20 Le 05/12/2007, à 13:21

Maz99

Re : Cod 4

Pas forcément si je désactive les effets concernés dans le jeu ; ) (marketing => à  la poubelle) big_smile

Hors ligne

#21 Le 05/12/2007, à 13:33

Id2ndR

Re : Cod 4

Maz99. Ben essayes. Moi sur une 6600GT j'ai quand même du tout désactiver, ou presque.

Hors ligne

#22 Le 05/12/2007, à 14:51

Id2ndR

Re : Cod 4

Nab!!daN, Ok les lanceurs de CoD4 sont bon. Tu as bien un dossier git-cod4, donc c'est bon aussi. Tu lances le jeu avec POL, donc en passant par les bons lanceurs.

Vérifies que la version patchée est bien utilisée :

$ PATH="/home/nabil/.PlayOnLinux/WineVersions/git-cod4/usr/bin/:$PATH"
$ witch wine

Ca doit te renvoyer le chemin avec git-cod4

puis lances wine, sans l'option debug :

$ PATH="/home/nabil/.PlayOnLinux/WineVersions/git-cod4/usr/bin/:$PATH"
export WINEPREFIX="/home/nabil/.PlayOnLinux/wineprefix/CallOfDuty4"
cd "/home/nabil/.PlayOnLinux/wineprefix/CallOfDuty4/drive_c/Program Files/Activision/Call of Duty 4 - Modern Warfare"
wine "iw3mp.exe"  $@

Pour tuer le processus, si tu as un écran noir, fait "ALT+F2" et tapes xkill puis entrée, et cliques sur la fenêtre noir (décales toi sur un bord de l'écran par exemple).
Ensuite tu me donneras les sorties de wine.

Fais un autre essai en désactivant compiz :

$ metacity --replace &
$ PATH="/home/nabil/.PlayOnLinux/WineVersions/git-cod4/usr/bin/:$PATH"
export WINEPREFIX="/home/nabil/.PlayOnLinux/wineprefix/CallOfDuty4"
cd "/home/nabil/.PlayOnLinux/wineprefix/CallOfDuty4/drive_c/Program Files/Activision/Call of Duty 4 - Modern Warfare"
wine "iw3mp.exe"  $@
compiz --replace &

Hors ligne

#23 Le 06/12/2007, à 02:18

Id2ndR

Re : Cod 4

J'ai vu dans les logs le chemin que j'ai utilsé moi avant la compilation. Je ne sais pas si ça entre en jeu, mais comme l'erreur concerne un acces non autorisé, peut être que c'est dépendant de l'installation.

Je te propose donc de réinstaller le jeu en choisissant de compiler wine.
La procédure devrait être longue (compter 30-40 minutes de compilation). Si elle ne l'est pas, c'est qu'il manque des paquets pour la compilation.

J'ai créé la page wine_compilation sur la doc après l'avoir expérimenter chez moi. Tu y trouveras dedans les paquets à installer, avant de lancer le script.
Re-télécharges aussi le script, car j'ai pu y faire de petites modifications depuis (faire attention à firefox qui utilise le cache). Un petit wget te permettra d'être sûr de télécharger le script.

Pour la version, j'ai fais marcher le jeu à la fois avec la 0.48 et la 0.50. Ca ne devrait pas poser de problème. En compilant, tu récupèreras la version 0.50.

Hors ligne

#24 Le 12/12/2007, à 15:42

GuiPoM

Re : Cod 4

Hello !

J'aimerai bien jouer moi aussi à  CoD4 sous linux (j'ai plus de dualboot sur ma machine pro) et j'ai réussi à  l'installer, mais je suis face à  une erreur:

cod4erreurkx8.png

Cette erreur survient sur la version multijoueurs (celle qui m'interesse) que ce soit en mode failsafe, ou pas. Que puis-je faire ?

J'ai une ati firegl V3100 installée avec les pilotes ati 7.11 (8.43). La 3d fonctionne bien, compiz est desactivé. L'erreur survient quelle que soit la résolution

Dernière modification par GuiPoM (Le 12/12/2007, à 15:43)

Hors ligne

#25 Le 12/12/2007, à 15:56

GuiPoM

Re : Cod 4

J'ai avancé d'un cran, en augmentant la taille mémoire de la carte vidéo (64Mo -> 128Mo)

Mais j'ai maintenant l'erreur :

captureerrorab5.png

Hors ligne

Haut de page ↑